<?php

######################################################################
# phpRS konverze DB funkci: phpRS_SQL to MySQLi (MySQL v4.1 a vyssi) 1.0.4
######################################################################

// Copyright (c) 2001-2006 by Jiri Lukas (jirilukas@supersvet.cz)
// http://www.supersvet.cz/phprs/
// This program is free software. - Toto je bezplatny a svobodny software.

if (!defined('IN_CODE')): die('Nepovoleny pristup! / Hacking attempt!'); endif;

/*
phprs_sql_affected_rows -- Vrt poet ovlivnnch (zmnnch) zznam v MySQL po poslednm dotazu
phprs_sql_client_encoding -- Vrt nzev znakov sady
phprs_sql_close -- Ukon (zave) MySQL spojen
phprs_sql_data_seek -- Pesune ukazatel na aktuln zznam
phprs_sql_dbcon -- Vytvo spojen s MySQL serverem
phprs_sql_errno --  Vrt slenou hodnotu chybov hlky pedchozho MySQL pkazu.
phprs_sql_error --  Vrt text chybov zprvy pedchozho MySQL pkazu.
phprs_sql_escape_string --  Uprav etzec pro bezpen pouit v mysqli_query.
phprs_sql_fetch_array --  Nate vsledn dek do asociativnho, slenho pole nebo obojho.
phprs_sql_fetch_assoc --  Nate vsledn dek do asociativnho pole
phprs_sql_fetch_field --  Nate informace o sloupci z vsledku do promnn objektu
phprs_sql_fetch_lengths --  Zjist dlku vech poloek aktulnho vstupu
phprs_sql_fetch_object --  Nate vsledn zznam do promnn objektu
phprs_sql_fetch_row -- Nate vsledn zznam do pole
phprs_sql_field_seek --  Nastav ukazatel na zadan sloupec
phprs_sql_free_result -- Uvoln vsledek z pamti
phprs_sql_info --  Vrac informace o poslednm dotazu
phprs_sql_insert_id --  Vrac generovanou hodnotu id poslednho pkazu INSERT
phprs_sql_num_fields -- Vrac poet sloupc ve vsledku
phprs_sql_num_rows -- Vrac poet zznam ve vsledku
phprs_sql_ping -- Ov spojen se serverem, ppadn, nen-li spojen dostupn, pokus se pipojit znovu.
phprs_sql_query -- Pole MySQL dotaz
phprs_sql_query_add_limit -- Pole MySQL dotaz; ped odeslnm se provedene spojen sti "dotaz" a "limit" (lze pouzit pouze pro jednodussi SQL dotazy)
phprs_sql_real_escape_string --  Uprav etzec pro bezpen pouit v mysqli_query.
phprs_sql_result -- Nate obsah jednoho sloupce tabulky
phprs_sql_select_db -- Nastav MySQL databzi
phprs_sql_stat -- Vrac aktuln stav systmu

UPOZORNENI:
Pro fungovani funkce "phprs_sql_escape_string" musi byt identifikator spojeni ulozen v promenne $GLOBALS['dbspojeni']
*/

function phprs_sql_affected_rows($spojeni = false)
{
if ($spojeni === false):
  return false; // chyba; MySQLi vyzaduje "spojeni"
else:
  return mysqli_affected_rows($spojeni);
endif;
}

function phprs_sql_client_encoding($spojeni = false)
{
if ($spojeni === false):
  return NULL; // chyba; MySQLi vyzaduje "spojeni"
else:
  return mysqli_client_encoding($spojeni);
endif;
}

function phprs_sql_close($spojeni = false)
{
if ($spojeni === false):
  return false; // chyba; MySQLi vyzaduje "spojeni"
else:
  return mysqli_close($spojeni);
endif;
}

function phprs_sql_data_seek($vysledek,$cislo_zaznamu)
{
return mysqli_data_seek($vysledek,$cislo_zaznamu);
}

function phprs_sql_dbcon()
{
@$spojeni=mysqli_connect($GLOBALS["dbserver"],$GLOBALS["dbuser"],$GLOBALS["dbpass"]);
if (!$spojeni):
  die('Spojeni se serverem nelze vytvorit! / Could not connect to database server!');
endif;
mysqli_select_db($spojeni,$GLOBALS["dbname"]);
return $spojeni;
}

function phprs_sql_errno($spojeni = false)
{
if ($spojeni === false):
  return false; // chyba; MySQLi vyzaduje "spojeni"
else:
  return mysqli_errno($spojeni);
endif;
}

function phprs_sql_error($spojeni = false)
{
if ($spojeni === false):
  return NULL; // chyba; MySQLi vyzaduje "spojeni"
else:
  return mysqli_error($spojeni);
endif;
}

function phprs_sql_escape_string($neupraveny_retezec)
{
if (empty($GLOBALS['dbspojeni'])): // chyba; MySQLi vyzaduje znalost "spojeni"
  return '';
else:
  return mysqli_real_escape_string($GLOBALS['dbspojeni'],$neupraveny_retezec);
endif;
}

function phprs_sql_fetch_array($vysledek,$typ_vysledku = false)
{
if ($typ_vysledku === false):
  return mysqli_fetch_array($vysledek);
else:
  return mysqli_fetch_array($vysledek,$typ_vysledku);
endif;
}

function phprs_sql_fetch_assoc($vysledek)
{
return mysqli_fetch_assoc($vysledek);
}

function phprs_sql_fetch_field($vysledek,$poradi_sloupce = false)
{
if ($poradi_sloupce === false):
  return mysqli_fetch_field($vysledek);
else:
  return mysqli_fetch_field($vysledek,$poradi_sloupce);
endif;
}

function phprs_sql_fetch_lengths($vysledek)
{
return mysqli_fetch_lengths($vysledek);
}

function phprs_sql_fetch_object($vysledek)
{
return mysqli_fetch_object($vysledek);
}

function phprs_sql_fetch_row($vysledek)
{
return mysqli_fetch_row($vysledek);
}

function phprs_sql_field_seek($vysledek,$cislo_sloupce)
{
return mysqli_field_seek($vysledek,$cislo_sloupce);
}

function phprs_sql_free_result($vysledek)
{
return mysqli_free_result($vysledek);
}

function phprs_sql_info($spojeni = false)
{
if ($spojeni === false):
  return NULL; // chyba; MySQLi vyzaduje "spojeni"
else:
  return mysqli_info($spojeni);
endif;
}

function phprs_sql_insert_id($spojeni = false)
{
if ($spojeni === false):
  return false; // chyba; MySQLi vyzaduje "spojeni"
else:
  return mysqli_insert_id($spojeni);
endif;
}

function phprs_sql_num_fields($vysledek)
{
return mysqli_num_fields($vysledek);
}

function phprs_sql_num_rows($vysledek)
{
return mysqli_num_rows($vysledek);
}

function phprs_sql_ping($spojeni = false)
{
if ($spojeni === false):
  return false; // chyba; MySQLi vyzaduje "spojeni"
else:
  return mysqli_ping($spojeni);
endif;
}

function phprs_sql_query($dotaz,$spojeni = false)
{
if ($spojeni === false):
  return false; // chyba; MySQLi vyzaduje "spojeni"
else:
  @$vysledek=mysqli_query($spojeni,$dotaz);
  if ($vysledek==0):
    echo mysqli_error($spojeni);
  endif;
  return $vysledek;
endif;
}

function phprs_sql_query_add_limit($dotaz,$dotaz_limit_mnozstvi = NULL,$dotaz_limit_od = NULL,$spojeni = false)
{
if (!is_null($dotaz_limit_mnozstvi)):
  if (!is_null($dotaz_limit_od)):
    $dotaz.=' limit '.$dotaz_limit_od.','.$dotaz_limit_mnozstvi;
  else:
    $dotaz.=' limit '.$dotaz_limit_mnozstvi;
  endif;
endif;

if ($spojeni === false):
  return false; // chyba; MySQLi vyzaduje "spojeni"
else:
  @$vysledek=mysqli_query($spojeni,$dotaz);
  if ($vysledek==0):
    echo mysqli_error($spojeni);
  endif;
  return $vysledek;
endif;
}

function phprs_sql_real_escape_string($neupraveny_retezec,$spojeni = false)
{
if ($spojeni === false):
  return NULL; // chyba; MySQLi vyzaduje "spojeni"
else:
  return mysqli_real_escape_string($spojeni,$neupraveny_retezec);
endif;
}

function phprs_sql_result($vysledek,$zaznam,$pole = false)
{
return NULL; // neni soucasti MySQLi
}

function phprs_sql_select_db($jmeno_databaze,$spojeni = false)
{
if ($spojeni === false):
  return false; // chyba; MySQLi vyzaduje "spojeni"
else:
  return mysqli_select_db($spojeni,$jmeno_databaze);
endif;
}

function phprs_sql_stat($spojeni = false)
{
if ($spojeni === false):
  return NULL; // chyba; MySQLi vyzaduje "spojeni"
else:
  return mysqli_stat($spojeni);
endif;
}
?>