#
# phpRS 2.8.1 (36 tabulek)
#
# kodovani: Windows-1250
#

# zalozeni database
# create database phprs;

# pripojeni na phprs db
# connect phprs;

# *** zalozeni tabulky rs_sloupce

create table rs_sloupce
(
ids tinyint unsigned not null auto_increment,
zobrazit tinyint unsigned not null,
primary key(ids)
);

# *** vlozeni default dat do tabulky rs_sloupce

insert into rs_sloupce values
(1,'1');
insert into rs_sloupce values
(2,'1');
insert into rs_sloupce values
(3,'1');

# *** zalozeni tabulky rs_bloky

create table rs_bloky
(
idb tinyint unsigned auto_increment not null,
nazev varchar(80) not null,
obsah text,
typ tinyint unsigned not null,
hodnost tinyint unsigned not null default 1,
data_sys tinyint unsigned not null default 0,
sys_funkce varchar(5) not null,
zobrazit tinyint unsigned not null default 1,
zobrazit_kde tinyint unsigned not null default 0,
id_sloupec tinyint unsigned not null,
level_blok int unsigned not null default 0,
primary key(idb),
index idx_zobrazit (zobrazit),
index idx_id_sloupec (id_sloupec),
index idx_level_blok (level_blok)
);

# *** vlozeni default dat do tabulky rs_bloky

insert into rs_bloky values
(null,'Hlavn menu','<a href="index.php" title="Hlavn domovsk strnka">Hlavn strnka</a><br />\n<a href="index.php?akce=temata" title="pln seznam rubrik">Seznam rubrik</a><br />\n<a href="download.php" title="Download sekce">Download</a><br />\n<a href="index.php?akce=linky" title="Sekce weblinks">Weblinks</a><br />\n<a href="ankety.php" title="Pehled vech anket">Ankety</a><br />\n<a href="index.php?akce=statistika" title="ebek 15 nejtenjch lnk">TOP 15</a><br /><br />\n<a href="readers.php" title="Personalizace">Personalizace</a><br />\n<a href="search.php" title="Rozen vyhledvn">Rozen vyhledvn</a><br />\n',1,100,0,'',1,0,1,1);
insert into rs_bloky values
(null,'Vyhledvn','<div align="center">\n<form action="search.php" method="post" title="Vyhledvn ve vech lncch webzinu!">\n<br /><strong>Vyhledat text</strong><br />\n<input type="text" name="rstext" size="15" class="textpole" /><br />\n<input type="submit" value=" Hledat " class="tl" />\n</form>\n</div>\n',2,50,0,'',1,0,1,1);
insert into rs_bloky values
(null,'Informace','<strong>Nzev asopisu</strong><br /><strong>ISSN: number</strong><br />Copyright Ji Luk, 2001-2005',1,10,0,'',1,0,1,1);
insert into rs_bloky values
(null,'Hlavn blok','Systmov blok: Hlavn blok',1,100,1,'hlb',1,0,2,1);
insert into rs_bloky values
(null,'Grafick menu','<a href="index.php" class="menu">Hlavn strnka</a>\n<a href="index.php?akce=temata" class="menu">Seznam rubrik</a>\n<a href="download.php" class="menu">Download</a>\n<a href="index.php?akce=linky" class="menu">Weblinks</a>\n<a href="ankety.php" class="menu">Ankety</a>\n<a href="index.php?akce=statistika" class="menu">Top 15</a>',1,200,0,'',1,0,3,1);

# *** zalozeni tabulky rs_user

create table rs_user
(
idu smallint unsigned not null auto_increment,
user varchar(10) not null,
password varchar(50) not null,
jmeno varchar(40) not null,
email varchar(80) not null,
url varchar(80) not null,
im_ident varchar(40) not null,
admin tinyint unsigned not null,
pravo_vydavat tinyint unsigned not null,
blokovat tinyint unsigned not null default 0,
pocet_chyb smallint unsigned not null default 0,
jazyk_prostredi varchar(10) not null,
pom_str varchar(50) not null,
primary key(idu),
index idx_prezdivka (user)
);

# *** vlozeni default dat do tabulky rs_user - heslo je retezec v uvozovkach: "heslo"

insert into rs_user values
(1,'admin','955db0b81ef1989b4a4dfeae8061a9a6','administrator','admin@server.cz','http://www.server.cz','',2,1,0,0,'cz','');

# *** zalozeni tabulky rs_moduly_prava

create table rs_moduly_prava
(
idm tinyint unsigned not null auto_increment,
nazev_modulu varchar(60) not null,
ident_modulu varchar(20) not null,
fks_prava_users text,
all_prava_users tinyint unsigned default 0,
nazev_menu varchar(40) not null,
liclakce_menu varchar(60) not null,
link_menu varchar(60) not null,
poradi_menu smallint unsigned not null default 0,
zakladni_modul tinyint unsigned not null default 0,
jen_admin_modul tinyint unsigned not null default 0,
blokovat_modul tinyint unsigned not null default 0,
barva_txt varchar(10) not null,
barva_bg varchar(10) not null,
plugin tinyint unsigned not null default 0,
fk_id_plugin smallint unsigned not null default 0,
primary key(idm),
index idx_ident_modulu (ident_modulu)
);

# *** Vlozeni default dat do tabulky rs_moduly_prava

insert into rs_moduly_prava values (1, 'Systmov modul', 'sys1', '', 1, 'Logout', 'admin/asystem.php', 'akce=Logout', 60, 1, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (2, 'Modul users', 'users', '1', 0, 'Editace autor', 'admin/auser.php', 'akce=ShowUser', 1, 1, 1, 0, '', '', 0, 0);
insert into rs_moduly_prava values (3, 'Modul redaktor', 'redaktor', '1', 0, 'Redaktor', 'admin/aredaktor.php', 'akce=PubClanku', 14, 0, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (4, 'Modul sprva blok', 'bloky', '1', 0, 'prava blok', 'admin/aengine.php', 'akce=Columns', 4, 1, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (5, 'Modul rubriky', 'topic', '1:', 0, 'prava rubrik', 'admin/atopic.php', 'akce=ShowTopic', 5, 1, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (6, 'Modul sprva lnk', 'clanky', '1', 0, 'Editace lnk', 'admin/aarticles.php', 'akce=Articles', 2, 0, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (7, 'Modul Novinky', 'news', '1', 0, 'Editace novinek', 'admin/anews.php', 'akce=ShowNews', 3, 0, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (8, 'Modul komente', 'comment', '1', 0, 'Komente', 'admin/acomment.php', 'akce=ShowComment', 13, 0, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (9, 'Modul download soubor', 'files', '1', 0, 'Download soubor', 'admin/adownload.php', 'akce=ShowFile', 7, 0, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (10, 'Modul weblinks', 'links', '1', 0, 'prava weblink', 'admin/aweblinks.php', 'akce=ShowLink', 8, 0, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (11, 'Modul ankety', 'ankety', '1', 0, 'Editace anket', 'admin/aankety.php', 'akce=ShowInquiry', 9, 0, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (12, 'Modul strnkov alias', 'alias', '1', 0, 'Strnkov aliasy', 'admin/aalias.php', 'akce=ShowAlias', 10, 0, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (13, 'Modul statistika', 'stat', '1', 0, 'Statistika', 'admin/astat.php', 'akce=ShowStatistic', 16, 0, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (14, 'Modul zloha DB', 'dump', '1', 0, 'Zloha DB', 'admin/adump.php', 'akce=ShowDump', 17, 1, 1, 0, '', '', 0, 0);
insert into rs_moduly_prava values (15, 'Modul teni', 'ctenari', '1', 0, 'teni', 'admin/areaders.php', 'akce=ShowReaders', 15, 0, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (16, 'Modul konfigurace', 'config', '1', 0, 'Konfigurace', 'admin/aconfig.php', 'akce=ShowConfig', 6, 1, 1, 0, '', '', 0, 0);
insert into rs_moduly_prava values (17, 'Modul reklama', 'reklama', '1', 0, 'Reklamn systm', 'admin/aadvert.php', 'akce=ShowAdvert', 12, 0, 0, 0, '', '', 0, 0);
insert into rs_moduly_prava values (18, 'Modul intern galerie', 'intergal', '1', 0, 'Galerie obrzk', 'admin/aimggal.php', 'akce=ImgGal', 11, 0, 0, 0, '', '', 0, 0);

# *** zalozeni tabulky rs_vazby_prava

create table rs_vazby_prava
(
idv int unsigned not null auto_increment,
fk_id_nadrizeny int unsigned not null,
fk_id_podrizeny int unsigned not null,
primary key(idv)
);

# *** zalozeni tabulky rs_guard

create table rs_guard
(
idg integer unsigned not null auto_increment,
password varchar(50) not null,
kdo tinyint unsigned not null,
cas datetime,
primary key(idg),
index idx_password (password),
index idx_cas (cas)
);

# *** zalozeni tabulky rs_topic

create table rs_topic
(
idt smallint unsigned not null auto_increment,
nazev varchar(50) not null,
popis text,
obrazek varchar(80) not null,
pocitadlo int unsigned not null,
level tinyint unsigned not null default 0,
rodic tinyint unsigned not null default 0,
id_predka smallint unsigned not null default 0,
hodnost smallint unsigned not null default 1,
zobrazit tinyint unsigned not null,
primary key(idt),
index idx_level (level),
index idx_hodnost (hodnost),
index idx_zobrazit (zobrazit)
);

# *** vlozeni default dat do tabulky rs_topic

insert into rs_topic values
(null,'Informace','Komente, informan lnky, novinky','image/topic/informace.png',0,0,0,0,1,1);
insert into rs_topic values
(null,'phpRS','phpRS: redakn systm','image/topic/planeta-zem.png',0,0,0,0,1,1);

# *** zalozeni tabulky rs_skup_cl

create table rs_skup_cl
(
ids int unsigned auto_increment not null,
nazev_skup varchar(100) not null,
primary key(ids)
);

# *** zalozeni tabulky rs_clanky

create table rs_clanky
(
idc int unsigned not null auto_increment,
link int unsigned not null,
seo_link varchar(200) not null,
titulek varchar(150) not null,
uvod text,
text text,
tema int unsigned not null,
datum datetime not null,
autor smallint unsigned not null,
kom int not null,
visit int unsigned not null,
t_slova text,
visible tinyint not null,
zdroj varchar(60) not null,
priority tinyint unsigned not null default 1,
datum_pl datetime not null,
skupina_cl smallint unsigned not null default 0,
hodnoceni int unsigned not null default 0,
mn_hodnoceni int unsigned not null default 0,
znacky tinyint unsigned not null default 0,
typ_clanku tinyint unsigned not null default 1,
sablona smallint unsigned not null default 0,
level_clanku int unsigned not null default 0,
zobr_na_indexu tinyint unsigned not null default 1,
anketa_cl int unsigned not null default 0,
primary key(idc),
index idx_datum (datum),
index idx_priority (priority),
index idx_tema (tema),
index idx_link (link),
index idx_skupina_cl (skupina_cl),
index idx_level_clanku (level_clanku),
index idx_zobr_na_indexu (zobr_na_indexu)
);

# *** vlozeni default dat do tabulky rs_clanky

insert into rs_clanky values
(null,2001061101,'vitejte-v-phprs','Vtejte v phpRS!','phpRS je oznaen pro GNU redakn systm vytvoen v PHP jazyce s vyuitm databzovho serveru MySQL.','Tento systm lze voln it, upravovat a vyuvat, avak je nutn dodret podmnky, kter stanovuje GNU GPL licence.<p></p>Vce informac o phpRS systmu se dozvte nap. v <a href="http://www.supersvet.cz/dokumentace/">on-line dokumentaci</a> nebo na strnkch <a href="http://www.supersvet.cz/">Super Svta</a>.',2,'2001-6-11 12:00:00',1,0,0,'redakce, redakn sdlen, zprva, informace, systm, phpRS, GNU projekt, asopis',1,'',1,'2002-12-31 01:01:01',0,0,0,0,1,2,1,1,0);

# *** zalozeni tabulky rs_links

create table rs_links
(
idl int unsigned not null auto_increment,
titulek varchar(90) not null,
adresa varchar(150) not null,
komentar text,
zdroj_jm varchar(50) not null,
zdroj_url varchar(80) not null,
datum datetime not null,
kdo tinyint unsigned not null,
zobraz_zdroj tinyint unsigned not null default 0,
idsekce int unsigned not null,
primary key(idl),
index idx_datum (datum)
);

# *** zalozeni tabulky rs_links_sekce

create table rs_links_sekce
(
ids int unsigned not null auto_increment,
nazev varchar(60) not null,
hlavnisekce tinyint unsigned not null default 0,
primary key(ids)
);

# *** zalozeni tabulky rs_download_sekce

create table rs_download_sekce
(
ids int unsigned not null auto_increment,
nazev varchar(60) not null,
hlavnisekce tinyint unsigned not null default 0,
primary key(ids)
);

# *** vlozeni default dat do tabulky rs_download_sekce

insert into rs_download_sekce values
(null,'Zkladn sekce',1);

# *** zalozeni tabulky rs_download

create table rs_download
(
idd int unsigned not null auto_increment,
nazev varchar(90) not null,
komentar text,
furl varchar(150) not null,
fjmeno varchar(50) not null,
fsize varchar(40) not null,
zdroj_jm varchar(50) not null,
zdroj_adr varchar(80) not null,
datum datetime not null,
verze varchar(10) not null,
kat varchar(50) not null,
pocitadlo int unsigned not null,
zobraz tinyint unsigned default 1,
idsekce int unsigned not null,
level_souboru int unsigned not null default 0,
primary key(idd),
index idx_idsekce (idsekce)
);

# *** vlozeni default dat do tabulky rs_download

insert into rs_download values
(null,'GNU GPL licence verze . 2','esk a anglick kopie druh verze GNU GPL licence!','http://www.supersvet.cz/phprs/storage/gnu_gpl.zip','gnu_gpl.zip','15,1 kB','-','-','2001-06-13 00:00:01','2','gnu',0,1,1,1);

# *** zalozeni tabulky rs_ankety

create table rs_ankety
(
ida int unsigned not null auto_increment,
titulek varchar(90) not null,
otazka text,
datum datetime not null,
kdo tinyint unsigned not null,
zobrazit tinyint unsigned not null default 1,
uzavrena tinyint unsigned not null default 0,
primary key(ida)
);

# *** vlozeni default dat do tabulky rs_ankety

insert into rs_ankety values
(null,'phpRS anketa . 1','Lb se Vm nov vzhled naeho asopisu, kter vyuiv phpRS redaknho systmu?','2001-06-13 00:00:01',1,1,0);

# *** zalozeni tabulky rs_odpovedi

create table rs_odpovedi
(
ido int unsigned not null auto_increment,
anketa int unsigned not null,
odpoved varchar(120) not null,
pocitadlo int unsigned not null,
primary key(ido),
index idx_anketa (anketa)
);

# *** vlozeni default dat do tabulky rs_odpovedi

insert into rs_odpovedi values
(null,1,'Je to super!',0);
insert into rs_odpovedi values
(null,1,'Zajmav zmna. Docela se mi zamlouv!',0);
insert into rs_odpovedi values
(null,1,'Hmmm, nic, moc.',0);
insert into rs_odpovedi values
(null,1,'Je to len!',0);

# *** zalozeni tabulky rs_config

create table rs_config
(
idc int unsigned not null auto_increment,
promenna varchar(50) not null,
hodnota varchar(50) not null,
primary key(idc)
);

# *** vlozeni default dat do tabulky rs_config

insert into rs_config values
(null,'aktivni_anketa','1');
insert into rs_config values
(null,'pocet_clanku','7');
insert into rs_config values
(null,'posledni_zmena','996834728');
insert into rs_config values
(null,'hlidat_platnost','0');
insert into rs_config values
(null,'pocet_novinek','3');
insert into rs_config values
(null,'global_sab','1');
insert into rs_config values
(null,'povolit_str','1');
insert into rs_config values
(null,'hlidat_level','1');
insert into rs_config values
(null,'default_level','1');
insert into rs_config values
(null,'default_reg_level','1');
insert into rs_config values
(null,'zobrazit_zakaz','1');
insert into rs_config values
(null,'captcha_komentare','1');

# *** zalozeni tabulky rs_komentare

create table rs_komentare
(
idk int unsigned not null auto_increment,
datum datetime not null,
obsah text,
clanek int unsigned not null,
od varchar(60) not null,
od_mail varchar(80) not null,
od_ip varchar(50) not null,
titulek varchar(80) not null,
reakce_na int unsigned not null,
registrovany tinyint unsigned not null,
reg_prezdivka varchar(20) not null,
reg_id int unsigned not null,
primary key(idk),
index idx_clanek (clanek)
);

# *** zalozeni tabulky rs_ctenari

create table rs_ctenari
(
idc int unsigned not null auto_increment,
prezdivka varchar(12) not null,
password varchar(50) not null,
jmeno varchar(40) not null,
email varchar(80) not null,
datum datetime not null,
pocitadlo int unsigned not null,
info tinyint unsigned not null default 0,
data text,
visible tinyint unsigned not null default 0,
jazyk varchar(5) not null,
posledni_login datetime not null,
level_ctenare int unsigned not null default 0,
primary key(idc),
index idx_prezdivka (prezdivka),
index idx_datum (datum),
index idx_posledni_login (posledni_login)
);

# *** zalozeni tabulky rs_cte_session

create table rs_cte_session
(
ids int unsigned not null auto_increment,
session varchar(50) not null,
id_cte int unsigned not null,
platnost datetime not null,
primary key(ids),
index idx_id_cte (id_cte)
);

# *** zalozeni tabulky rs_alias

create table rs_alias
(
ida int unsigned auto_increment not null,
alias varchar(20) not null,
hodnota varchar(80) not null,
typ varchar(10) not null,
primary key(ida)
);

# *** vlozeni default dat do tabulky rs_alias

insert into rs_alias values
(null,'licence','gnu_gpl.txt','sablona');

# *** zalozeni tabulky rs_klik_kampan

create table rs_klik_kampan
(
idk int unsigned auto_increment not null,
alias varchar(20) not null,
info varchar(100) not null,
email varchar(80) not null,
primary key(idk)
);

# *** zalozeni tabulky rs_klik_ban

create table rs_klik_ban
(
idb int unsigned auto_increment not null,
id_kampan int unsigned not null,
datum date not null,
alias varchar(20) not null,
text varchar(80) not null,
banner text,
cil varchar(100) not null,
width int unsigned not null default 0,
height int unsigned not null default 0,
druh tinyint unsigned not null default 0,
pocitadlo int unsigned not null default 0,
pocitadlo_zobr int unsigned not null default 0,
datum_reset date not null,
celk_pocet int unsigned not null default 0,
celk_pocet_zobr int unsigned not null default 0,
primary key(idb),
index idx_id_kampan (id_kampan)
);

# *** zalozeni tabulky rs_klik_rekl

create table rs_klik_rekl
(
idr tinyint unsigned auto_increment not null,
pozice tinyint unsigned not null,
kod text,
typ_reklamy char(6) not null,
primary key(idr)
);

# *** vlozeni default dat do tabulky rs_klik_rekl

insert into rs_klik_rekl values
(null,'1','<div class="banner-img"><a href="http://www.supersvet.cz" target="_blank"><img src="image/reklama7.gif" alt="GNU redakn systm phpRS" width="468" height="60"><br />GNU redakn systm phpRS</a></div>','kod');
insert into rs_klik_rekl values
(null,'2','<div class="banner-img"><a href="http://www.supersvet.cz" target="_blank"><img src="image/reklama7.gif" alt="GNU redakn systm phpRS" width="468" height="60"><br />GNU redakn systm phpRS</a></div>','kod');

# *** zalozeni tabulky rs_news

create table rs_news
(
idn int unsigned auto_increment not null,
titulek varchar(100) not null,
informace text,
datum datetime not null,
typ_nov tinyint unsigned not null default 0,
primary key(idn)
);

# *** zalozeni tabulky rs_plugin

create table rs_plugin
(
idp int unsigned not null auto_increment,
nazev varchar(50) not null,
pristup tinyint unsigned not null,
menu tinyint unsigned not null,
nazev_menu varchar(40) not null,
inclakce_menu varchar(60) not null,
link_menu varchar(60) not null,
sys_blok tinyint unsigned not null,
nazev_blok varchar(50) not null,
zkratka_blok varchar(10) not null,
inclsb_blok varchar(60) not null,
funkce_blok varchar(30) not null,
primary key(idp)
);

# *** zalozeni tabulky rs_stat_data

create table rs_stat_data
(
idd int unsigned not null auto_increment,
datum date not null,
hodina tinyint unsigned not null,
visit int unsigned not null,
pages int unsigned not null,
os_win int unsigned not null,
os_linux int unsigned not null,
os_unix int unsigned not null,
os_mac int unsigned not null,
os_dalsi int unsigned not null,
primary key(idd)
);

# *** zalozeni tabulky rs_stat_arch

create table rs_stat_arch
(
ida int unsigned not null auto_increment,
datum date not null,
hodina tinyint unsigned not null,
visit int unsigned not null,
pages int unsigned not null,
os_win int unsigned not null,
os_linux int unsigned not null,
os_unix int unsigned not null,
os_mac int unsigned not null,
os_dalsi int unsigned not null,
primary key(ida),
index idx_datum (datum)
);

# *** zalozeni tabulky rs_stat_ip

create table rs_stat_ip
(
idi int unsigned not null auto_increment,
ip varchar(30) not null,
platnost_do datetime not null,
primary key(idi)
);

# *** zalozeni tabulky rs_stat_session

create table rs_stat_session
(
ids int unsigned not null auto_increment,
session varchar(50) not null,
platnost_do datetime not null,
primary key(ids)
);

# *** zalozeni tabulky rs_imggal_sekce

create table rs_imggal_sekce
(
ids int unsigned not null auto_increment,
vlastnik int unsigned not null,
nazev varchar(60) not null,
popis text,
prava varchar(10) not null,
primary key(ids)
);

# *** zalozeni tabulky rs_imggal_obr

create table rs_imggal_obr
(
ido int unsigned not null auto_increment,
vlastnik int unsigned not null,
sekce int unsigned not null,
nazev varchar(60) not null,
popis text,
zamek text,
obr_poloha varchar(80) not null,
obr_width varchar(10) not null,
obr_height varchar(10) not null,
obr_vel varchar(30) not null,
nahl_poloha varchar(80) not null,
nahl_width varchar(10) not null,
nahl_height varchar(10) not null,
primary key(ido)
);

# *** zalozeni tabulky rs_global_sab

create table rs_global_sab
(
ids smallint unsigned not null auto_increment,
nazev_sab varchar(50) not null,
typ_sab varchar(40) not null,
ident_sab varchar(40) not null,
soubor_sab varchar(80) not null,
adr_sab varchar(80) not null,
primary key(ids)
);

# *** vlozeni default dat do tabulky rs_global_sab

insert into rs_global_sab values
(null,'rsBloger-modern-II','rsBloger-modern-II','mod2','image/rsBloger/lengine.php','image/rsBloger/');

# *** zalozeni tabulky rs_cla_sab

create table rs_cla_sab
(
ids smallint unsigned not null auto_increment,
nazev_cla_sab varchar(50) not null,
soubor_cla_sab varchar(80) not null,
primary key(ids)
);

# *** vlozeni default dat do tabulky rs_cla_sab

insert into rs_cla_sab values
(null,'rsBloger press','image/rsBloger/cla_press.php');
insert into rs_cla_sab values
(null,'rsBloger standard','image/rsBloger/cla_std.php');
insert into rs_cla_sab values
(null,'rsBloger strict','image/rsBloger/cla_strict.php');

# *** zalozeni tabulky rs_kontrola_ip

create table rs_kontrola_ip
(
idk int unsigned not null auto_increment,
ip_adresa varchar(20) not null,
cas datetime,
pocet smallint unsigned not null default 0,
typ varchar(30) not null,
primary key(idk)
);

# *** zalozeni tabulky rs_levely

create table rs_levely
(
idl int unsigned not null auto_increment,
nazev_levelu varchar(60) not null,
hodnota smallint unsigned not null,
zakladni tinyint unsigned not null,
primary key(idl)
);

# *** Vlozeni default dat do tabulky rs_levely

insert into rs_levely values 
(1,'zkladn level',1,1);

# *** zalozeni tabulky rs_captcha_test_otazky

create table rs_captcha_test_otazky
(
idc int unsigned not null auto_increment,
identifikator varchar(10) not null,
otazka varchar(100) not null,
odpoved varchar(30) not null,
zobrazit tinyint unsigned not null,
primary key(idc),
index idx_identifikator (identifikator)
);

# *** Vlozeni default dat do tabulky rs_captcha_test_otazky

insert into rs_captcha_test_otazky values 
(null,'jkolds','Vypotejte nsledujc pklad: 1 + 8 =','9',1);
insert into rs_captcha_test_otazky values 
(null,'ksslek','Jakou barvu m trva? Zelenou nebo modrou?','zelenou',1);
insert into rs_captcha_test_otazky values 
(null,'saeewf','Vypotejte nsledujc pklad: 12 - 4 =','8',1);
insert into rs_captcha_test_otazky values 
(null,'dewwvs','D se ve vod plavat (ano/ne)?','ano',1);
insert into rs_captcha_test_otazky values 
(null,'opelks','M lovk tyi oi (ano/ne)?','ne',1);
insert into rs_captcha_test_otazky values 
(null,'alwtks','ije ryba ve vod (ano/ne)?','ano',1);
insert into rs_captcha_test_otazky values 
(null,'qmnhci','Vypotejte nsledujc pklad: 6 + 6 =','12',1);
insert into rs_captcha_test_otazky values 
(null,'dwrtto','ij lid na Slunci (ano/ne)?','ne',1);
insert into rs_captcha_test_otazky values 
(null,'lydaxz','Jakou barvu m modr obloha? lutou nebo modrou?','modrou',1);
