-- --------------------------------------------------------

-- 
-- Struktura tabulky `rs_inzertnisystem_config`
-- 

DROP TABLE IF EXISTS `rs_inzertnisystem_config`;
CREATE TABLE `rs_inzertnisystem_config` (
  `idc` int(10) unsigned NOT NULL auto_increment,
  `promenna` varchar(50) NOT NULL default '',
  `hodnota` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`idc`)
) ENGINE=MyISAM AUTO_INCREMENT=13 ;

-- 
-- Vypisuji data pro tabulku `rs_inzertnisystem_config`
-- 

INSERT INTO `rs_inzertnisystem_config` (`idc`, `promenna`, `hodnota`) VALUES 
(1, 'verze_phprs', '281'),
(2, 'max_sir_obr', '640'),
(3, 'pocet_v_bloku', '5'),
(4, 'pocet_na_stranu', '6'),
(5, 'pocet_dnu', '60'),
(6, 'pocet_hodin', '48'),
(7, 'registrovany', '0'),
(8, 'kodovani', 'UTF-8'),
(9, 'max_vys_obr', '480'),
(10, 'max_sir_nahl', '120'),
(11, 'max_vys_nahl', '96'),
(12, 'dnu_prodlouzeni', '30'),
(13, 'aktivace', '0');

-- --------------------------------------------------------

-- 
-- Struktura tabulky `rs_inzertnisystem_inzeraty`
-- 

DROP TABLE IF EXISTS `rs_inzertnisystem_inzeraty`;
CREATE TABLE `rs_inzertnisystem_inzeraty` (
  `idn` smallint(5) unsigned NOT NULL auto_increment,
  `nazev` varchar(50) NOT NULL default '-',
  `popis` text,
  `cena` varchar(10) NOT NULL default '0',
  `datum_vyst` datetime NOT NULL default '0000-00-00 00:00:00',
  `datum_staz` datetime NOT NULL default '0000-00-00 00:00:00',
  `jmeno` varchar(50) NOT NULL default '-',
  `telefon` varchar(16) NOT NULL default '-',
  `mobil` varchar(16) NOT NULL default '-',
  `email` varchar(50) NOT NULL default '-',
  `url` varchar(200) NOT NULL default '-',
  `typ` varchar(3) NOT NULL default '-',
  `kategorie` varchar(3) NOT NULL default '-',
  `lokalita` varchar(3) NOT NULL default '-',
  `password` varchar(50) NOT NULL default '0',
  `datum_potvr` datetime NOT NULL default '0000-00-00 00:00:00',
  `potvrzeni` tinyint(3) NOT NULL default '0',
  `pocitadlo` int(10) unsigned NOT NULL default '0',
  `zobr_kontakt` tinyint(3) unsigned NOT NULL default '1',
  `prodl_platnosti` tinyint(3) unsigned NOT NULL default '0',
  `idc` int(10) unsigned NOT NULL default '0',
  `ip` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`idn`)
) ENGINE=MyISAM AUTO_INCREMENT=33 ;

-- --------------------------------------------------------

-- 
-- Struktura tabulky `rs_inzertnisystem_lokality`
-- 

DROP TABLE IF EXISTS `rs_inzertnisystem_lokality`;
CREATE TABLE `rs_inzertnisystem_lokality` (
  `idl` smallint(3) unsigned NOT NULL auto_increment,
  `nazev` varchar(100) NOT NULL default '',
  `level` tinyint(3) unsigned NOT NULL default '0',
  `id_predka` smallint(5) unsigned NOT NULL default '0',
  `rodic` tinyint(3) unsigned NOT NULL default '0',
  `poradi` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`idl`)
) ENGINE=MyISAM AUTO_INCREMENT=27 ;

-- 
-- Vypisuji data pro tabulku `rs_inzertnisystem_lokality`
-- 

INSERT INTO `rs_inzertnisystem_lokality` (`idl`, `nazev`, `level`, `id_predka`, `rodic`, `poradi`) VALUES 
(1, 'Cel R', 0, 0, 1, 1),
(2, 'Hlavn msto Praha', 1, 1, 1, 1),
(3, 'Stedoesk kraj', 1, 1, 0, 2),
(4, 'Jihoesk kraj', 1, 1, 0, 3),
(5, 'Plzesk kraj', 1, 1, 0, 5),
(6, 'Karlovarsk kraj', 1, 1, 0, 6),
(7, 'steck kraj', 1, 1, 0, 7),
(8, 'Libereck kraj', 1, 1, 0, 8),
(9, 'Krlovohradeck kraj', 1, 1, 0, 9),
(10, 'Pardubick kraj', 1, 1, 0, 10),
(11, 'Jihomoravsk kraj', 1, 1, 0, 4),
(12, 'Olomouck kraj', 1, 1, 0, 11),
(13, 'Zlnsk kraj', 1, 1, 0, 12),
(14, 'Moravskoslezsk kraj', 1, 1, 0, 13),
(15, 'Slovensko', 0, 0, 1, 2),
(16, 'Jin zem', 0, 0, 1, 3);

-- --------------------------------------------------------

-- 
-- Struktura tabulky `rs_inzertnisystem_obr`
-- 

DROP TABLE IF EXISTS `rs_inzertnisystem_obr`;
CREATE TABLE `rs_inzertnisystem_obr` (
  `ido` int(10) unsigned NOT NULL auto_increment,
  `inzerat` int(10) unsigned NOT NULL default '0',
  `obr_poloha` varchar(255) NOT NULL default '',
  `obr_width` varchar(10) default '',
  `obr_height` varchar(10) default '',
  `nahl_poloha` varchar(255) NOT NULL default '',
  `nahl_width` varchar(10) default '',
  `nahl_height` varchar(10) default '',
  PRIMARY KEY  (`ido`)
) ENGINE=MyISAM AUTO_INCREMENT=33 ;

-- --------------------------------------------------------

-- 
-- Struktura tabulky `rs_inzertnisystem_sekce`
-- 

DROP TABLE IF EXISTS `rs_inzertnisystem_sekce`;
CREATE TABLE `rs_inzertnisystem_sekce` (
  `ids` smallint(3) unsigned NOT NULL auto_increment,
  `nazev` varchar(100) NOT NULL default '',
  `level` tinyint(3) unsigned NOT NULL default '0',
  `id_predka` smallint(5) unsigned NOT NULL default '0',
  `rodic` tinyint(3) unsigned NOT NULL default '0',
  `poradi` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ids`)
) ENGINE=MyISAM AUTO_INCREMENT=181 ;

-- 
-- Vypisuji data pro tabulku `rs_inzertnisystem_sekce`
-- 

INSERT INTO `rs_inzertnisystem_sekce` (`ids`, `nazev`, `level`, `id_predka`, `rodic`, `poradi`) VALUES 
(1, 'Auto-moto, lod', 0, 0, 1, 1),
(2, 'Potae, notebooky', 0, 0, 1, 2),
(3, 'Mobily, navigace', 0, 0, 1, 3),
(4, 'Audio-video, foto', 0, 0, 1, 4),
(5, 'Bl zbo, domcnost', 0, 0, 1, 5),
(6, 'Reality, nemovitosti', 0, 0, 1, 6),
(7, 'Prce, brigdy', 0, 0, 1, 7),
(8, 'Sport, Hobby', 0, 0, 1, 8),
(9, 'Sluby, finance', 0, 0, 1, 9),
(10, 'Zdrav, pe o tlo', 0, 0, 1, 10),
(11, 'Seznamka', 0, 0, 1, 11),
(12, 'Obleen, obuv', 0, 0, 1, 12),
(13, 'Rodina, dtsk poteby', 0, 0, 1, 13),
(14, 'Stroje', 0, 0, 1, 14),
(15, 'Pstroje', 0, 0, 1, 15),
(16, 'Nstroje, nad', 0, 0, 1, 16),
(17, 'Zvata, rostliny', 0, 0, 1, 17),
(18, 'Suroviny, polotovary', 0, 0, 1, 18),
(19, 'Zbyl a nezaazen', 0, 0, 1, 19),
(20, 'Auta do 50 tis.', 1, 1, 0, 1),
(21, 'Auta do 100 tis.', 1, 1, 0, 2),
(22, 'Auta do 300 tis.', 1, 1, 0, 3),
(23, 'Auta do 500 tis.', 1, 1, 0, 4),
(24, 'Auta nad 500 tis.', 1, 1, 0, 5),
(25, 'Motocykly', 1, 1, 0, 6),
(26, 'Silnin motocykly', 1, 1, 0, 7),
(27, 'Cestovn motocykly', 1, 1, 0, 8),
(28, 'Choppery', 1, 1, 0, 9),
(29, 'Sktry', 1, 1, 0, 10),
(30, 'T a tykolky', 1, 1, 0, 11),
(31, 'Vodn sktry', 1, 1, 0, 12),
(32, 'Bouran vozy', 1, 1, 0, 13),
(33, 'Uitkov vozidla', 1, 1, 0, 14),
(34, 'Veterni', 1, 1, 0, 15),
(35, 'Autordia', 1, 1, 0, 16),
(36, 'Doplky', 1, 1, 0, 17),
(37, 'Tunning', 1, 1, 0, 18),
(38, 'Nhradn dly', 1, 1, 0, 19),
(39, 'Kancelsk technika', 1, 2, 0, 1),
(40, 'PC sestavy', 1, 2, 0, 2),
(41, 'Notebooky', 1, 2, 0, 3),
(42, 'Monitory', 1, 2, 0, 4),
(43, 'Zkladn desky', 1, 2, 0, 5),
(44, 'Procesory', 1, 2, 0, 6),
(45, 'Pevn disky', 1, 2, 0, 7),
(46, 'Pamti', 1, 2, 0, 8),
(47, 'LCD', 1, 2, 0, 9),
(48, 'Hern konzole', 1, 2, 0, 10),
(49, 'Mobily', 1, 3, 0, 1),
(50, 'Komuniktory', 1, 3, 0, 2),
(51, 'Baterie', 1, 3, 0, 3),
(52, 'Kabely', 1, 3, 0, 4),
(53, 'Hands-free', 1, 3, 0, 5),
(54, 'GPS Navigace', 1, 3, 0, 6),
(55, 'Fotoaparty', 1, 4, 0, 1),
(56, 'Kamery', 1, 4, 0, 2),
(57, 'Televize', 1, 4, 0, 3),
(58, 'Domc kina', 1, 4, 0, 4),
(59, 'Reproduktory', 1, 4, 0, 5),
(60, 'MP3 pehrvae', 1, 4, 0, 6),
(61, 'Hi-fi', 1, 4, 0, 7),
(62, 'TV', 1, 4, 0, 8),
(63, 'LCD TV', 1, 4, 0, 9),
(64, 'Foto psluenstv', 1, 4, 0, 10),
(65, 'DivX pehrvae', 1, 4, 0, 11),
(66, 'Nbytek', 1, 5, 0, 1),
(67, 'Lednice', 1, 5, 0, 2),
(68, 'Mrazky', 1, 5, 0, 3),
(69, 'Trouby', 1, 5, 0, 4),
(70, 'Mikrovlnky', 1, 5, 0, 5),
(71, 'Myky', 1, 5, 0, 6),
(72, 'Praky', 1, 5, 0, 7),
(73, 'Stavebn materil', 1, 5, 0, 8),
(74, 'Klimatizace', 1, 5, 0, 9),
(75, 'Topen', 1, 5, 0, 10),
(76, 'Svtidla', 1, 5, 0, 11),
(77, 'Kuchysk linky', 1, 5, 0, 12),
(78, 'Kuchysk spotebie', 1, 5, 0, 13),
(79, 'Digestoe', 1, 5, 0, 14),
(80, 'Byty', 1, 6, 0, 1),
(81, 'Pronjem byt', 1, 6, 0, 2),
(82, 'Prodej byt', 1, 6, 0, 3),
(83, 'Rodinn domy', 1, 6, 0, 4),
(84, 'Rekrean objekty', 1, 6, 0, 5),
(85, 'Pozemky', 1, 6, 0, 6),
(86, 'Vrobn haly', 1, 6, 0, 7),
(87, 'Kancele', 1, 6, 0, 8),
(88, 'Komern objekty', 1, 6, 0, 9),
(89, 'Obchody', 1, 6, 0, 10),
(90, 'Sklady', 1, 6, 0, 11),
(91, 'Podnjmy', 1, 6, 0, 12),
(92, 'Spolubydlc', 1, 6, 0, 13),
(93, 'Brigdy, pivdlky', 1, 7, 0, 1),
(94, 'IT, Web', 1, 7, 0, 2),
(95, 'Marketing, reklama', 1, 7, 0, 3),
(96, 'Prvn sluby', 1, 7, 0, 4),
(97, 'Stavebnictv, reality', 1, 7, 0, 5),
(98, 'Brigdy', 1, 7, 0, 6),
(99, 'Pohostinstv, ubytovn', 1, 7, 0, 7),
(100, 'Banky, finance', 1, 7, 0, 8),
(101, 'Chemie', 1, 7, 0, 9),
(102, 'Logistika, doprava', 1, 7, 0, 10),
(103, 'Management', 1, 7, 0, 11),
(104, 'Obchod a prodej', 1, 7, 0, 12),
(105, 'Sttn, veejn sprva', 1, 7, 0, 13),
(106, 'Potravinstv', 1, 7, 0, 14),
(107, 'Prce z domu', 1, 7, 0, 15),
(108, 'Tvr prce, design', 1, 7, 0, 16),
(109, 'etnictv', 1, 7, 0, 17),
(110, 'Vuka, vzdlvn', 1, 7, 0, 18),
(111, 'Zdravotnictv, farmacie', 1, 7, 0, 19),
(112, 'Kultura, hudba', 1, 8, 0, 1),
(113, 'Sportovn vybaven', 1, 8, 0, 2),
(114, 'Staroitnosti, sbrky', 1, 8, 0, 3),
(115, 'Modelstv', 1, 8, 0, 4),
(116, 'Vlky', 1, 8, 0, 5),
(117, 'Airsoft', 1, 8, 0, 6),
(118, 'Paintball', 1, 8, 0, 7),
(119, 'Rybstv', 1, 8, 0, 8),
(120, 'Lovectv', 1, 8, 0, 9),
(121, 'Vstupenky', 1, 8, 0, 10),
(122, 'Hudba', 1, 8, 0, 11),
(123, 'Golf', 1, 8, 0, 12),
(124, 'Tenis', 1, 8, 0, 13),
(125, 'Brusle', 1, 8, 0, 14),
(126, 'Snowboard', 1, 8, 0, 15),
(127, 'Zbran', 1, 8, 0, 16),
(128, 'Hobby', 1, 8, 0, 17),
(129, 'Kurzy', 1, 8, 0, 18),
(130, 'Erotika', 1, 9, 0, 1),
(131, 'Sluby', 1, 9, 0, 2),
(132, 'Podnikn, finance', 1, 9, 0, 3),
(133, 'R', 1, 9, 0, 4),
(134, 'Chorvatsko', 1, 9, 0, 5),
(135, 'ecko', 1, 9, 0, 6),
(136, 'Exotika', 1, 9, 0, 7),
(137, 'Hory', 1, 9, 0, 8),
(138, 'Letenky', 1, 9, 0, 9),
(139, 'Last Minute', 1, 9, 0, 10),
(140, 'Prvnck sluby', 1, 9, 0, 11),
(141, 'Pjky', 1, 9, 0, 12),
(142, 'Hypotky', 1, 9, 0, 13),
(143, 'Pojitn', 1, 9, 0, 14),
(144, 'Trika', 1, 12, 0, 1),
(145, 'Mikiny', 1, 12, 0, 2),
(146, 'Kalhoty', 1, 12, 0, 3),
(147, 'Sukn', 1, 12, 0, 4),
(148, 'Boty', 1, 12, 0, 5),
(149, 'Hodinky', 1, 12, 0, 6),
(150, 'perky', 1, 12, 0, 7),
(151, 'Svatebn aty', 1, 12, 0, 8),
(152, 'Uebnice, studium', 1, 13, 0, 1),
(153, 'Knihy', 1, 13, 0, 2),
(154, 'Autosedaky', 1, 13, 0, 3),
(155, 'Postlky', 1, 13, 0, 4),
(156, 'Hraky', 1, 13, 0, 5),
(157, 'Obleen', 1, 13, 0, 6),
(158, 'Botiky', 1, 13, 0, 7),
(159, 'koln poteby', 1, 13, 0, 8),
(160, 'Korky', 1, 13, 0, 9),
(161, 'Nbytek', 1, 13, 0, 10),
(162, 'Thotenstv', 1, 13, 0, 11),
(163, 'Kojeneck poteby', 1, 13, 0, 12),
(164, 'Hudebn nstroje', 1, 13, 0, 13),
(165, 'Rostliny, zahrada', 1, 17, 0, 1),
(166, 'Psi', 1, 17, 0, 2),
(167, 'Koky', 1, 17, 0, 3),
(168, 'Hadi', 1, 17, 0, 4),
(169, 'Rybky', 1, 17, 0, 5),
(170, 'Papouci', 1, 17, 0, 6),
(171, 'Hlodavci', 1, 17, 0, 7),
(172, 'tata', 1, 17, 0, 8),
(173, 'Koata', 1, 17, 0, 9),
(174, 'Chovatelsk poteby', 1, 17, 0, 10),
(175, 'Ztracen zvata', 1, 17, 0, 11),
(176, 'Hospodsk zvata', 1, 17, 0, 12),
(180, 'Nco 3', 1, 177, 0, 1);
